<?php 
global $oPlugin;

require_once(PFAD_ROOT . PFAD_INCLUDES . "tools.Global.php");
require_once($oPlugin->cAdminmenuPfad . "inc/class.agws_zaremover.php");
require_once $oPlugin->cAdminmenuPfad . 'inc/class.agws_plugin_all.helper.php';

$helper = agwsPluginHelperAll::getInstance($oPlugin);

if ($helper->isShop4()) {
    $smarty = Shop::Smarty();
} else {
    global $smarty;
}

$hinweis = "Kein Datensatz vorhanden";
$agws_zaremover_sql=" WHERE xplugin_agws_zaremover_tzaremove.kKundennr=tkunde.kKunde";

$filter_kdnr2 = "";
$filter_email2 = "";
$filter_vorname2 = "";

if (isset($_POST['filter_kdnr2']))
    $filter_kdnr2 = urlencode($_POST['filter_kdnr2']);

if($filter_kdnr2=="" && isset($_GET['filter_kdnr2']))
    $filter_kdnr2 = urlencode($_GET['filter_kdnr2']);

if (isset($_POST['filter_email2']))
    $filter_email2 = urlencode($_POST['filter_email2']);

if($filter_email2=="" && isset($_GET['filter_email2']))
    $filter_email2 = urlencode($_GET['filter_email2']);

if (isset($_POST['filter_vorname2']))
    $filter_vorname2 = urlencode($_POST['filter_vorname2']);

if($filter_vorname2=="" && isset($_GET['filter_vorname2']))
    $filter_vorname2 = urlencode($_GET['filter_vorname2']);

if (isset($filter_kdnr2) && $filter_kdnr2!="")
    $agws_zaremover_sql=" WHERE kKundennr LIKE '".urldecode($filter_kdnr2)."'";

if (isset($filter_email2) && $filter_email2!="")
    $agws_zaremover_sql=" WHERE cMail LIKE '".urldecode($filter_email2)."'";

if (isset($filter_vorname) && $filter_vorname2!="")
    $agws_zaremover_sql=" WHERE cVorname LIKE '".urldecode($filter_vorname2)."'";

$oSpeziKunden_arr = new agws_zaremover($oPlugin,$helper);

if (isset($filter_kdnr2) && $filter_kdnr2!="" || isset($filter_email2) && $filter_email2!="" || isset($filter_vorname2) && $filter_vorname2!="") {
    /** Beginn - Aufbau der Seiten-Pagination **/
    // Wieviel Eintrge pro Seite sollen dargestellt werden?
	$agws_seitenNavi_MaxEntries = (int)$oPlugin->oPluginEinstellungAssoc_arr['agws_zaremover_setting_table'];

    // Die Berechnung erfolgt nur fr ungerade Zahlen!!!
    define("AGWS_SEITENNAVI_NAV_LEISTE",5);

    // Die aktuell angeforderte Seite
    $agws_seitennavi_seiteAktuell = (isset($_REQUEST['agws_seitennavi_site'])) ? (int)$_REQUEST['agws_seitennavi_site'] : "";
    // Falls noch keine Seitenzahl bergeben wurde, den Wert auf die erste Seite setzen
    if(empty($agws_seitennavi_seiteAktuell))
        $agws_seitennavi_seiteAktuell = 1;

    // Berechnet die nchsten Eintraege aus MAX_EINTRAEGE
    $agws_seitennavi_start = $agws_seitennavi_seiteAktuell * $agws_seitenNavi_MaxEntries - $agws_seitenNavi_MaxEntries;

    // Ermittelt die Gesamtzahl der Datenstze
	$agws_seitennavi_resultGesamt = $agws_zaremover_class->ermittleGesamtAnzahlDashboard($agws_zaremover_sql);

    // Errechnet die kompletten Seiten
    $agws_seitennavi_SitesComplete = ceil($agws_seitennavi_resultGesamt['agws_seitennavi_menge'] / $agws_seitenNavi_MaxEntries);

    (isset($filter_kdnr2)) ? $filter_kdnr2 = "&filter_kdnr2=".$filter_kdnr2 : $filter_kdnr2 = "";
    (isset($filter_email2)) ? $filter_email2 = "&filter_email2=".$filter_email2 : $filter_email2 = "";
    (isset($filter_vorname2)) ? $filter_vorname2 = "&filter_vorname2=".$filter_vorname2 : $filter_vorname2 = "";
    // Weitere Variablen den Seitenzahlem mit bergeben:
    $agws_seitennavi_extVariables ='&kPlugin='.$oPlugin->kPlugin.'&cPluginTab=ZARemover-Dashboard'.$filter_kdnr2.$filter_email2.$filter_vorname2;

    // Navigation aufbauen
    $agws_seitennavi_arr2=new stdClass();

    // Die Menge der angezeigten Links fr die Seiten werden errechnet
    $agws_seitennavi_arr2->SitesComplete = $agws_seitennavi_SitesComplete;
    $agws_seitennavi_arr2->seiteAktuell = $agws_seitennavi_seiteAktuell;
    $agws_seitennavi_arr2->extVariables = $agws_seitennavi_extVariables;
    $agws_seitennavi_arr2->NavCeil = floor(AGWS_SEITENNAVI_NAV_LEISTE / 2);

    $smarty->assign("agws_seitennavi_arr2", $agws_seitennavi_arr2);
    /** Ende - Aufbau der Seiten-Pagination **/
}

$oSpeziKunden_arr = $oSpeziKunden_arr->holeSpeziKunden($agws_zaremover_sql,$agws_seitennavi_start,$agws_seitenNavi_MaxEntries);
if(is_array($oSpeziKunden_arr) && count($oSpeziKunden_arr) > 0)
    $hinweis = "";

$smarty->assign("oSpeziKunden_arr", $oSpeziKunden_arr);
$smarty->assign("oHinweis", $hinweis);
$smarty->display($oPlugin->cAdminmenuPfad . "templates/agws_zaremover_dashboard.tpl");